%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
Name:           sslstrip
Version:        0.9
Release:        14%{?dist}
Summary:        Tool that provides a demonstration of HTTPS stripping attacks

Group:          Applications/Internet
License:        GPLv3+
URL:            http://www.thoughtcrime.org/software/sslstrip/
Source0:        http://www.thoughtcrime.org/software/sslstrip/%{name}-%{version}.tar.gz
#Patch0:         sslstrip0.7-version_num.patch
#Patch1:         sslstrip0.7-version_num-setuppy.patch


BuildArch:      noarch

BuildRequires:  python2 >= 2.5

Requires:       python2-twisted

%description
Tool that provides a demonstration of HTTPS stripping attacks that were 
presented at Black Hat DC 2009 by Moxie Marlinspike. It will transparently 
hijack HTTP traffic on a network, watch for HTTPS links and redirects, then map 
those links into either look-alike HTTP links or homograph-similar HTTPS links.
It also supports modes for supplying a favicon which looks like a lock icon, 
selective logging, and session denial

%prep
%setup -q

# Patch out the incorrect version in both the setup.py and main source file
##fixed in 0.9 upstream release
#%patch0
#%patch1

# Make COPYING and README not executable
chmod -x COPYING
chmod -x README

%build
python setup.py build

%install
python setup.py install --root $RPM_BUILD_ROOT

# Remove duplicate doc files
rm $RPM_BUILD_ROOT/usr/share/%{name}/README
rm $RPM_BUILD_ROOT/usr/share/%{name}/COPYING



%files
%defattr(-,root,root,-)
%doc COPYING README
%dir %{python_sitelib}/%{name}
%{python_sitelib}/%{name}/*.py
%{python_sitelib}/%{name}/*.pyc
%{python_sitelib}/%{name}/*.pyo
%{python_sitelib}/*.egg-info
%{_datadir}/%{name}/*
%{_bindir}/%{name}

%changelog
* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.9-14
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 10 2011 Adam Miller <maxamillion@fedoraproject.org> - 0.9-2
- Readded the chmods for README and COPYING
- Added python-twisted-web hard dep

* Tue Jun 07 2011 Adam Miller <maxamillion@fedoraproject.org> - 0.9-1
- New upstream release

* Thu Oct 28 2010 Adam Miller <maxamillion@fedoraproject.org> - 0.7-3
- Patched out the incorrect version number, email sent upstream about it

* Thu Oct 28 2010 Adam Miller <maxamillion@fedoraproject.org> - 0.7-2
- Fixed buildreq, removed duplicate docs, removed mixed use of spaces/tabs

* Thu Jan 14 2010 Adam Miller <maxamillion@fedoraproject.org> - 0.7-1
- First package for Fedora

